using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;

namespace Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Finalita
{
    public class S7 : Entity.Chapter
    {
        public S7(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S7(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }


        protected override sealed void Draw()
        {
            // Aggiungo la pagina
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            // Aggiungo gli elementi
            AddElement(new ImagePDF(EnvironmentFacade.RendererFacade.XLeftLimit, 0.20F, "Warning.png") { AutoIncrementYWritable = false });// Icona
            AddElement(new FormattedTextAreaPDF("Dettaglio immobili con anomalie catastali", EnvironmentFacade.RendererFacade.XLeftLimit + 30) { FontSize = 16, FontColor = ColorPDF.Immobiliare_Grigio_TitoloGrande, AutoIncrementYWritable = false, FontBold = true }); // Intestazione          
        }
    }
}
